import { Group } from '@antv/g';
import { Point } from '../types/common';
import { ComboDisplayModel, ComboModel, NodeModel } from '../types';
import { DisplayMapper, State, LodStrategyObj } from '../types/item';
import { NodeDisplayModel, NodeModelData } from '../types/node';
import { ComboStyleSet, NodeStyleSet } from '../types/theme';
import { ComboModelData } from '../types/combo';
import Item from './item';
interface IProps {
    model: NodeModel | ComboModel;
    renderExtensions: any;
    containerGroup: Group;
    mapper?: DisplayMapper;
    stateMapper?: {
        [stateName: string]: DisplayMapper;
    };
    zoom?: number;
    theme: {
        styles: NodeStyleSet | ComboStyleSet;
        lodStrategy: LodStrategyObj;
    };
    device?: any;
    onframe?: Function;
    onfinish?: Function;
    type?: 'node' | 'combo';
}
export default class Node extends Item {
    type: 'node' | 'combo';
    constructor(props: IProps);
    draw(displayModel: NodeDisplayModel | ComboDisplayModel, diffData?: {
        previous: NodeModelData | ComboModelData;
        current: NodeModelData | ComboModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }, animate?: boolean, onfinish?: Function): void;
    update(model: NodeModel, diffData?: {
        previous: NodeModelData | ComboModelData;
        current: NodeModelData | ComboModelData;
    }, isReplace?: boolean, theme?: {
        styles: NodeStyleSet;
        lodStrategy: LodStrategyObj;
    }, onlyMove?: boolean, animate?: boolean, onfinish?: Function): void;
    /**
     * Update the node's position,
     * do not update other styles which leads to better performance than updating position by updateData.
     */
    updatePosition(displayModel: NodeDisplayModel | ComboDisplayModel, diffData?: {
        previous: NodeModelData | ComboModelData;
        current: NodeModelData | ComboModelData;
    }, animate?: boolean, onfinish?: Function): void;
    clone(containerGroup: Group, onlyKeyShape?: boolean, disableAnimate?: boolean): Group | Node;
    getAnchorPoint(point: Point, anchorIdx?: number): {
        x: number;
        y: number;
    };
    getIntersectPoint(point: Point, innerPoint: Point, anchorPoints: number[][], anchorIdx?: number): {
        x: number;
        y: number;
    };
    getPosition(): Point;
}
export {};
