import { Animation } from '@antv/g';
import { IGraph } from '../../types';
/**
 * Manages layout extensions and graph layout.
 * It will also emit `afterlayout` & `tick` events on Graph.
 */
export declare class LayoutController {
    extensions: {};
    graph: IGraph;
    private currentLayout;
    private currentSupervisor;
    private currentAnimation;
    private animatedDisplayObject;
    constructor(graph: IGraph<any, any>);
    /**
     * Subscribe the lifecycle of graph.
     */
    private tap;
    private onLayout;
    handleTreeLayout(type: any, options: any, animationEffectTiming: any, graphCore: any, layoutData: any, animate: any): Promise<void>;
    stopLayout(): void;
    getCurrentAnimation(): Animation;
    onDestroy(): void;
    private updateNodesPosition;
    /**
     * For those layout without iterations, e.g. circular, random, since they don't have `onTick` callback,
     * we have to translate each node from its initial position to final one after layout,
     * with the help of `onframe` from G's animation API.
     * @param positions
     * @param animationEffectTiming
     */
    private animateLayoutWithoutIterations;
}
