import { Behavior } from '../../types/behavior';
import { IG6GraphEvent } from '../../types/event';
declare const ALLOWED_TRIGGERS: readonly ["dblclick", "click"];
type Trigger = (typeof ALLOWED_TRIGGERS)[number];
export interface CollapseExpandComboOptions {
    /**
     * The key to pressed with mouse click to apply multiple selection.
     * Defaults to `"dblclick"`.
     * Could be "dblclick", "click".
     */
    trigger: Trigger;
    /**
     * Whether allow the behavior happen on the current item.
     */
    shouldBegin?: (event: IG6GraphEvent) => boolean;
}
export declare class CollapseExpandCombo extends Behavior {
    constructor(options: Partial<CollapseExpandComboOptions>);
    getEvents: () => {
        'combo:dblclick': (event: IG6GraphEvent) => void;
        'combo:click'?: undefined;
    } | {
        'combo:click': (event: IG6GraphEvent) => void;
        'combo:dblclick'?: undefined;
    };
    collapseExpandCombo(event: IG6GraphEvent): void;
}
export {};
