import { Behavior } from '../../types/behavior';
import { IG6GraphEvent } from '../../types/event';
declare const ALLOWED_TRIGGERS: readonly ["click", "dblclick"];
type Trigger = (typeof ALLOWED_TRIGGERS)[number];
export interface Options {
    /**
     * The key to pressed with mouse click to apply multiple selection.
     * Defaults to `"shift"`.
     * Could be "shift", "ctrl", "alt", or "meta".
     */
    trigger: Trigger;
    /**
     * The event name to trigger when select/unselect an item.
     */
    eventName: string;
    /**
     * Whether disable the collapse / expand animation triggered by this behavior.
     */
    disableAnimate: boolean;
    /**
     * Whether allow the behavior happen on the current item.
     */
    shouldBegin: (event: IG6GraphEvent) => boolean;
    /**
     * Whether to update item state.
     * If it returns false, you may probably listen to `eventName` and
     * manage states or data manually
     */
    shouldUpdate: (event: IG6GraphEvent) => boolean;
}
export declare class CollapseExpandTree extends Behavior {
    private timeout;
    constructor(options: Partial<Options>);
    getEvents: () => {
        'node:dblclick': (event: IG6GraphEvent) => void;
        'node:click'?: undefined;
    } | {
        'node:click': (event: IG6GraphEvent) => void;
        'node:dblclick'?: undefined;
    };
    onClickBesideDblClick(event: IG6GraphEvent): void;
    onClick(event: IG6GraphEvent): void;
}
export {};
