import { Behavior } from '../../types/behavior';
import { IG6GraphEvent } from '../../types/event';
export interface HoverActivateOptions {
    /**
     * The time in milliseconds to throttle moving. Useful to avoid the frequent calculation.
     * Defaults to 0.
     */
    throttle?: number;
    /**
     * The state name to be considered as "selected".
     * Defaults to "selected".
     */
    activateState?: string;
    /**
     * Item types to be able to acitvate.
     * Defaults to `["node", "edge"]`.
     * Should be an array of "node", "edge", or "combo".
     */
    itemTypes: Array<'node' | 'edge' | 'combo'>;
    /**
     * The event name to trigger when drag end.
     */
    eventName?: string;
    /**
     * Whether allow the behavior happen on the current item.
     */
    shouldBegin?: (event: IG6GraphEvent) => boolean;
}
export declare class HoverActivate extends Behavior {
    private currentItemInfo;
    constructor(options: Partial<HoverActivateOptions>);
    getEvents: () => {
        'node:pointerenter': (event: IG6GraphEvent) => void;
        'node:pointerleave': (event: IG6GraphEvent) => void;
        'edge:pointerenter': (event: IG6GraphEvent) => void;
        'edge:pointerleave': (event: IG6GraphEvent) => void;
        'combo:pointerenter': (event: IG6GraphEvent) => void;
        'combo:pointerleave': (event: IG6GraphEvent) => void;
    };
    onPointerEnter(event: IG6GraphEvent): void;
    onPointerLeave(event: IG6GraphEvent): void;
}
