import { IG6GraphEvent } from '../../types/event';
import { RotateCanvas3D } from './rotate-canvas-3d';
export interface TrackCanvas3DOptions {
    /**
     * The way to tranlate the canvas. 'drag' (default) means dragged by mouse, 'directionKeys' means the up/down/left/right key on keyBoard.
     */
    trigger?: 'drag' | 'directionKeys';
    /**
     * The assistance secondary key to trigger the behavior.
     * If it is not assigned, triggered only by trigger.
     * You can also assigned it with a key on keyboard e.g. 'shift',
     * to make the behavior triggered only when the key is pressing and trigger is happening.
     */
    secondaryKey?: string;
    /**
     * The event name to trigger when drag end.
     */
    eventName?: string;
    /**
     * Whether allow the behavior happen on the current item.
     */
    shouldBegin?: (event: IG6GraphEvent) => boolean;
}
/**
 * Translate the 3d canvas along the plane parallel to the screen.
 */
export declare class TrackCanvas3D extends RotateCanvas3D {
    private previousType;
    constructor(options: Partial<TrackCanvas3DOptions>);
    private setTrackingCamera;
    private restoreCameraType;
    onPointerDown(event: any): void;
    onPointerUp(event: any): void;
    onKeydown(event: any): void;
    onKeyup(event: any): void;
}
