import * as Layouts from '@antv/layout';
import { Lib } from '../types/stdlib';
import { Behavior as BaseBehavior } from '../types/behavior';
import { Plugin as BasePlugin } from '../types/plugin';
import * as Behaviors from './behavior';
import * as Combos from './item/combo';
import * as Nodes from './item/node';
import * as Edges from './item/edge';
import * as ThemeSolvers from './themeSolver';
import * as Plugins from './plugin';
declare const stdLib: {
    transforms: {
        'validate-data': (data: import("..").GraphData, options?: {}, userGraphCore?: import("..").GraphCore) => import("..").GraphData;
        'transform-v4-data': (data: import("..").GraphData, options?: {}, userGraphCore?: import("..").GraphCore) => import("..").GraphData;
        'map-node-size': (data: import("..").GraphData, options?: {
            field?: string;
            range?: [number, number];
        }, userGraphCore?: import("..").GraphCore) => import("..").GraphData;
    };
    themes: {
        light: import("..").ThemeSpecification;
        dark: import("..").ThemeSpecification;
    };
    themeSolvers: {
        spec: typeof ThemeSolvers.SpecThemeSolver;
        subject: typeof ThemeSolvers.SubjectThemeSolver;
    };
    layouts: any;
    behaviors: {
        'drag-canvas': typeof Behaviors.DragCanvas;
        'zoom-canvas': typeof Behaviors.ZoomCanvas;
        'drag-node': typeof Behaviors.DragNode;
        'drag-combo': typeof Behaviors.DragCombo;
        'collapse-expand-combo': typeof Behaviors.CollapseExpandCombo;
        'collapse-expand-tree': typeof Behaviors.CollapseExpandTree;
        'click-select': typeof Behaviors.ClickSelect;
    };
    plugins: {
        history: typeof Plugins.History;
    };
    nodes: {
        'circle-node': typeof Nodes.CircleNode;
        'rect-node': typeof Nodes.RectNode;
    };
    edges: {
        'line-edge': typeof Edges.LineEdge;
    };
    combos: {
        'circle-combo': typeof Combos.CircleCombo;
        'rect-combo': typeof Combos.RectCombo;
    };
    markers: {
        collapse: (x: any, y: any, r: any) => any[][];
        expand: (x: any, y: any, r: any) => any[][];
        upTriangle: (x: any, y: any, r: any) => any[][];
        downTriangle: (x: any, y: any, r: any) => any[][];
    };
};
declare const utils: {
    rectSelector: (graph: import("..").IGraph<import("../types/behavior").BehaviorRegistry, import("../types/theme").ThemeRegistry>, points: import("..").Point[], itemTypes: import("../types/item").ITEM_TYPE[]) => {
        nodes: import("@antv/graphlib").ID[];
        edges: import("@antv/graphlib").ID[];
        combos: import("@antv/graphlib").ID[];
    };
    lassoSelector: (graph: import("..").IGraph<import("../types/behavior").BehaviorRegistry, import("../types/theme").ThemeRegistry>, points: import("..").Point[], itemTypes: import("../types/item").ITEM_TYPE[]) => {
        nodes: any[];
        edges: any[];
        combos: any[];
    };
};
declare const registery: {
    useLib: Lib;
};
declare const Extensions: {
    ValidateData: (data: import("..").GraphData, options?: {}, userGraphCore?: import("..").GraphCore) => import("..").GraphData;
    TransformV4Data: (data: import("..").GraphData, options?: {}, userGraphCore?: import("..").GraphCore) => import("..").GraphData;
    MapNodeSize: (data: import("..").GraphData, options?: {
        field?: string;
        range?: [number, number];
    }, userGraphCore?: import("..").GraphCore) => import("..").GraphData;
    LightTheme: import("..").ThemeSpecification;
    DarkTheme: import("..").ThemeSpecification;
    SpecThemeSolver: typeof ThemeSolvers.SpecThemeSolver;
    SubjectThemeSolver: typeof ThemeSolvers.SubjectThemeSolver;
    ForceLayout: typeof Layouts.ForceLayout;
    GridLayout: typeof Layouts.GridLayout;
    CircularLayout: typeof Layouts.CircularLayout;
    ConcentricLayout: typeof Layouts.ConcentricLayout;
    RandomLayout: typeof Layouts.RandomLayout;
    MDSLayout: typeof Layouts.MDSLayout;
    RadialLayout: typeof Layouts.RadialLayout;
    FruchtermanLayout: typeof Layouts.FruchtermanLayout;
    D3ForceLayout: typeof Layouts.D3ForceLayout;
    ForceAtlas2Layout: typeof Layouts.ForceAtlas2Layout;
    DagreLayout: typeof Layouts.DagreLayout;
    ComboCombinedLayout: typeof Layouts.ComboCombinedLayout;
    compactBox: any;
    dendrogram: any;
    indented: any;
    mindmap: any;
    CircleNode: typeof Nodes.CircleNode;
    RectNode: typeof Nodes.RectNode;
    DiamondNode: typeof Nodes.DiamondNode;
    DonutNode: typeof Nodes.DonutNode;
    SphereNode: typeof Nodes.SphereNode;
    StarNode: typeof Nodes.StarNode;
    HexagonNode: typeof Nodes.HexagonNode;
    TriangleNode: typeof Nodes.TriangleNode;
    EllipseNode: typeof Nodes.EllipseNode;
    ModelRectNode: typeof Nodes.ModelRectNode;
    LineEdge: typeof Edges.LineEdge;
    CubicEdge: typeof Edges.CubicEdge;
    CubicHorizontalEdge: typeof Edges.CubicHorizontalEdge;
    CubicVerticalEdge: typeof Edges.CubicVerticalEdge;
    LoopEdge: typeof Edges.LoopEdge;
    PolylineEdge: typeof Edges.PolylineEdge;
    QuadraticEdge: typeof Edges.QuadraticEdge;
    CircleCombo: typeof Combos.CircleCombo;
    RectCombo: typeof Combos.RectCombo;
    BaseBehavior: typeof BaseBehavior;
    ActivateRelations: typeof Behaviors.ActivateRelations;
    BrushSelect: typeof Behaviors.BrushSelect;
    HoverActivate: typeof Behaviors.HoverActivate;
    LassoSelect: typeof Behaviors.LassoSelect;
    OrbitCanvas3D: typeof Behaviors.OrbitCanvas3D;
    RotateCanvas3D: typeof Behaviors.RotateCanvas3D;
    TrackCanvas3D: typeof Behaviors.TrackCanvas3D;
    ZoomCanvas3D: typeof Behaviors.ZoomCanvas3D;
    ZoomCanvas: typeof Behaviors.ZoomCanvas;
    DragCanvas: typeof Behaviors.DragCanvas;
    CollapseExpandTree: typeof Behaviors.CollapseExpandTree;
    CollapseExpandCombo: typeof Behaviors.CollapseExpandCombo;
    DragNode: typeof Behaviors.DragNode;
    DragCombo: typeof Behaviors.DragCombo;
    BasePlugin: typeof BasePlugin;
    History: typeof Plugins.History;
    Toolbar: typeof Plugins.Toolbar;
    Tooltip: typeof Plugins.Tooltip;
    Minimap: typeof Plugins.Minimap;
    Grid: typeof Plugins.Grid;
    Menu: typeof Plugins.Menu;
    Fisheye: typeof Plugins.Fisheye;
    Legend: typeof Plugins.Legend;
};
export default registery;
export { Extensions, registery, stdLib, utils };
