var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { BaseEdge } from './base';
export class LineEdge extends BaseEdge {
    constructor(props) {
        super(props);
        this.type = 'line-edge';
        this.defaultStyles = {
            keyShape: {
                x1: 0,
                y1: 0,
                z1: 0,
                x2: 0,
                y2: 0,
                z2: 0,
                isBillboard: true,
            },
        };
        // suggest to merge default styles like this to avoid style value missing
        // this.defaultStyles = mergeStyles([this.baseDefaultStyles, this.defaultStyles]);
    }
    draw(model, sourcePoint, targetPoint, shapeMap, diffData, diffState) {
        const { data = {} } = model;
        const shapes = { keyShape: undefined };
        shapes.keyShape = this.drawKeyShape(model, sourcePoint, targetPoint, shapeMap, diffData);
        if (data.haloShape) {
            shapes.haloShape = this.drawHaloShape(model, shapeMap, diffData);
        }
        if (data.labelShape) {
            shapes.labelShape = this.drawLabelShape(model, shapeMap, diffData);
        }
        // labelBackgroundShape
        if (data.labelBackgroundShape) {
            shapes.labelBackgroundShape = this.drawLabelBackgroundShape(model, shapeMap, diffData);
        }
        if (data.iconShape) {
            shapes.iconShape = this.drawIconShape(model, shapeMap, diffData);
        }
        // TODO: other shapes
        return shapes;
    }
    drawKeyShape(model, sourcePoint, targetPoint, shapeMap, diffData, diffState) {
        const { keyShape: keyShapeStyle } = this.mergedStyles;
        const { startArrow, endArrow } = keyShapeStyle, others = __rest(keyShapeStyle, ["startArrow", "endArrow"]);
        const lineStyle = Object.assign(Object.assign({}, others), { x1: sourcePoint.x, y1: sourcePoint.y, z1: sourcePoint.z || 0, x2: targetPoint.x, y2: targetPoint.y, z2: targetPoint.z || 0, isBillboard: true });
        this.upsertArrow('start', startArrow, others, model, lineStyle);
        this.upsertArrow('end', endArrow, others, model, lineStyle);
        return this.upsertShape('line', 'keyShape', lineStyle, shapeMap, model);
    }
}
//# sourceMappingURL=line.js.map