import { Point } from '../../../types/common';
import { EdgeDisplayModel, EdgeModelData, EdgeShapeMap } from '../../../types/edge';
import { State } from '../../../types/item';
import { LOOP_POSITION } from '../../../types/loop';
import { CubicEdge } from './cubic';
export declare class LoopEdge extends CubicEdge {
    type: string;
    defaultStyles: {
        keyShape: {
            x1: number;
            y1: number;
            z1: number;
            x2: number;
            y2: number;
            z2: number;
            isBillboard: boolean;
            loopCfg: {
                position: LOOP_POSITION;
                clockwise: boolean;
            };
        };
    };
    constructor(props: any);
    drawKeyShape(model: EdgeDisplayModel, sourcePoint: Point, targetPoint: Point, shapeMap: EdgeShapeMap, diffData?: {
        previous: EdgeModelData;
        current: EdgeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): import("@antv/g").DisplayObject<any, any>;
    private getPathPoints;
}
