import { Point } from '../../../types/common';
import { EdgeDisplayModel, EdgeModelData, EdgeShapeMap } from '../../../types/edge';
import { State } from '../../../types/item';
import { LineEdge } from './line';
export declare class PolylineEdge extends LineEdge {
    type: string;
    defaultStyles: {
        keyShape: {
            x1: number;
            y1: number;
            z1: number;
            x2: number;
            y2: number;
            z2: number;
            isBillboard: boolean;
        };
    };
    constructor(props: any);
    draw(model: EdgeDisplayModel, sourcePoint: Point, targetPoint: Point, shapeMap: EdgeShapeMap, diffData?: {
        previous: EdgeModelData;
        current: EdgeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): EdgeShapeMap;
    private getControlPoints;
    /**
     * Get polyline path
     * @param model edge display model
     * @param points lists of given 2d points
     * @param radius radius of corner
     * @param routeCfg router config
     * @param auto whether calculate the path with A*
     * @returns
     */
    protected getPath(model: EdgeDisplayModel, points: Point[], radius: number, routeCfg?: Record<string, any>, auto?: boolean): string;
    drawKeyShape(model: EdgeDisplayModel, sourcePoint: Point, targetPoint: Point, shapeMap: EdgeShapeMap, diffData?: {
        previous: EdgeModelData;
        current: EdgeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): import("@antv/g").DisplayObject<any, any>;
}
