import { Point } from '../../../types/common';
import { EdgeDisplayModel, EdgeModelData, EdgeShapeMap } from '../../../types/edge';
import { State } from '../../../types/item';
import { BaseEdge } from './base';
export declare class QuadraticEdge extends BaseEdge {
    type: string;
    defaultStyles: {
        keyShape: {
            controlPoints: any[];
            curvePosition: number;
            curveOffset: number;
            isBillboard: boolean;
        };
    };
    constructor(props: any);
    draw(model: EdgeDisplayModel, sourcePoint: Point, targetPoint: Point, shapeMap: EdgeShapeMap, diffData?: {
        previous: EdgeModelData;
        current: EdgeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): EdgeShapeMap;
    drawKeyShape(model: EdgeDisplayModel, sourcePoint: Point, targetPoint: Point, shapeMap: EdgeShapeMap, diffData?: {
        previous: EdgeModelData;
        current: EdgeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): import("@antv/g").DisplayObject<any, any>;
    /**
     * calculate the control point by curvePosition|controlPoints|curveOffset
     * @param startPoint: source point position of edge
     * @param endPoint target point position of edge
     * @param percent the proportion of control points' in the segment, Range 0 to 1
     * @param controlPoints the control point position
     * @param offset the curveOffset
     * @returns control points
     */
    protected getControlPoints: (startPoint: Point, endPoint: Point, percent: number, controlPoints: Point[], offset: number) => Point[];
}
