import { DisplayObject } from '@antv/g';
import { NodeDisplayModel } from '../../../types';
import { ShapeStyle, State } from '../../../types/item';
import { NodeModelData, NodeShapeMap, NodeShapeStyles } from '../../../types/node';
import { BaseNode } from './base';
type DonutAttrs = {
    [propKey: string]: number;
};
type DonutColorMap = {
    [propKey: string]: string;
};
type DonutNodeDisplayModel = NodeDisplayModel & {
    donutShapes: ShapeStyle & {
        innerSize: number;
        attrs: DonutAttrs;
        colorMap: DonutColorMap;
    };
};
export declare class DonutNode extends BaseNode {
    defaultStyles: {
        keyShape: {
            r: number;
            x: number;
            y: number;
        };
        donutShapes: {
            innerSize: number;
            attrs: {};
            colorMap: {};
            zIndex: number;
        };
    };
    mergedStyles: NodeShapeStyles;
    constructor(props: any);
    draw(model: DonutNodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): NodeShapeMap;
    /**
     * Draw a complete donut composed of several segments
     * @param model
     * @param shapeMap
     * @param diffData
     * @param diffState
     * @returns
     */
    private drawDonutShapes;
    /**
     * Draw a single donut segment
     * @param cfg The configurations of donut segments
     * @param shapes The collections of donut segment shapes
     * @param model
     * @param shapeMap
     * @param diffData
     * @param diffState
     * @returns
     */
    private drawDonutSegment;
    drawKeyShape(model: DonutNodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): DisplayObject;
}
export {};
