import { DisplayObject } from '@antv/g';
import { NodeDisplayModel } from '../../../types';
import { State } from '../../../types/item';
import { IAnchorPositionMap, NodeModelData, NodeShapeMap, NodeShapeStyles } from '../../../types/node';
import { BaseNode } from './base';
export declare class HexagonNode extends BaseNode {
    defaultStyles: {
        keyShape: {
            r: number;
            x: number;
            y: number;
            direction: string;
        };
    };
    mergedStyles: NodeShapeStyles;
    constructor(props: any);
    draw(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): NodeShapeMap;
    drawKeyShape(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): DisplayObject;
    private getHexagonPoints;
    calculateAnchorPosition(keyShapeStyle: any): IAnchorPositionMap;
}
