import { DisplayObject } from '@antv/g';
import { NodeDisplayModel } from '../../../types';
import { State } from '../../../types/item';
import { IAnchorPositionMap, NodeModelData, NodeShapeMap, NodeShapeStyles } from '../../../types/node';
import { ComboDisplayModel, ComboModelData, ComboShapeMap } from '../../../types/combo';
import { BaseNode } from './base';
export declare class ModelRectNode extends BaseNode {
    defaultStyles: {
        keyShape: {
            x: number;
            y: number;
            width: number;
            height: number;
            stroke: string;
            strokeWidth: string;
            radius: number;
            fill: string;
        };
    };
    mergedStyles: NodeShapeStyles;
    logoX: number;
    logoY: number;
    logoWidth: number;
    logoHeight: number;
    constructor(props: any);
    draw(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): NodeShapeMap;
    drawKeyShape(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): DisplayObject;
    calculateAnchorPosition(keyShapeStyle: any): IAnchorPositionMap;
    drawLabelShape(model: NodeDisplayModel | ComboDisplayModel, shapeMap: NodeShapeMap | ComboShapeMap, diffData?: {
        previous: NodeModelData | ComboModelData;
        current: NodeModelData | ComboModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): DisplayObject;
    drawOtherShapes(model: NodeDisplayModel | ComboDisplayModel, shapeMap: NodeShapeMap | ComboShapeMap, diffData?: {
        previous: NodeModelData | ComboModelData;
        current: NodeModelData | ComboModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): {
        [id: string]: DisplayObject;
    };
    private drawPreRectShape;
    private drawLogoIconShape;
    private drawDescriptionShape;
    private drawStateIcon;
}
