import { DisplayObject } from '@antv/g';
import { NodeDisplayModel } from '../../../types';
import { State } from '../../../types/item';
import { IAnchorPositionMap, NodeModelData, NodeShapeMap, NodeShapeStyles } from '../../../types/node';
import { BaseNode } from './base';
export declare class StarNode extends BaseNode {
    private defaultOuterR;
    defaultStyles: {
        keyShape: {
            outerR: number;
            innerR: number;
            x: number;
            y: number;
        };
    };
    mergedStyles: NodeShapeStyles;
    constructor(props: any);
    draw(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): NodeShapeMap;
    drawKeyShape(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): DisplayObject;
    getStarPath(outerR: number, innerR: number): (string | (string | number)[])[];
    calculateAnchorPosition(keyShapeStyle: any): IAnchorPositionMap;
}
