export class LayerUpdatedCommand {
    constructor(action, ids) {
        this.action = action;
        this.ids = ids;
    }
    undo(graph) {
        graph.executeWithoutStacking(() => {
            this.action === 'front'
                ? graph.backItem(this.ids)
                : graph.frontItem(this.ids);
        });
    }
    redo(graph) {
        graph.executeWithoutStacking(() => {
            this.action === 'front'
                ? graph.frontItem(this.ids)
                : graph.backItem(this.ids);
        });
    }
}
//# sourceMappingURL=layer-updated-command.js.map