export class StateUpdatedCommand {
    constructor(props) {
        this.changes = props;
    }
    updateItemsStates(graph, stateOptions) {
        stateOptions === null || stateOptions === void 0 ? void 0 : stateOptions.map((option) => {
            const { ids, states, value } = option;
            graph.executeWithoutStacking(() => {
                graph.setItemState(ids, states, value);
            });
        });
    }
    undo(graph) {
        this.updateItemsStates(graph, this.changes.oldValue);
    }
    redo(graph) {
        this.updateItemsStates(graph, this.changes.newValue);
    }
}
//# sourceMappingURL=state-updated-command.js.map