import { each } from '@antv/util';
export class VisibilityUpdatedCommand {
    constructor(changes, disableAnimate) {
        this.changes = changes;
        this.disableAnimate = disableAnimate;
    }
    toggleItemsVisible(graph, values) {
        graph.pauseStacking();
        each(values, (value) => value.visible
            ? graph.showItem(value.ids, this.disableAnimate)
            : graph.hideItem(value.ids, this.disableAnimate));
        graph.resumeStacking();
    }
    undo(graph) {
        const { oldValue } = this.changes;
        this.toggleItemsVisible(graph, oldValue);
    }
    redo(graph) {
        const { newValue } = this.changes;
        this.toggleItemsVisible(graph, newValue);
    }
}
//# sourceMappingURL=visibility-updated-command.js.map