import { ComboModel, NodeModel } from 'types';
import { Point } from '../../../types/common';
/**
 * Use cross product to judge the direction of the turn.
 * Returns a positive value, if OAB makes a clockwise turn,
 * negative for counter-clockwise turn, and zero if the points are collinear.
 */
export declare const cross: (a: Point, b: Point, o: Point) => number;
/**
 * Generate a convex hull of given points. Andrew's monotone chain algorithm.
 * @param points An array of [x, y] representing the coordinates of points.
 * @return a list of vertices of the convex hull in counter-clockwise order,
 */
export declare const genConvexHull: (models: (NodeModel | ComboModel)[]) => any[];
