import { ThemeSpecification } from '../../types/theme';
import { BaseThemeSolver, ThemeSpecificationMap } from './base';
interface SubjectThemeSolverOptions {
    base: 'light' | 'dark';
    baseColor: string;
    specification?: {
        node?: {
            dataTypeField?: string;
            palette: string[] | {
                [dataType: string]: string;
            };
        };
        edge?: {
            dataTypeField?: string;
            palette: string[] | {
                [dataType: string]: string;
            };
        };
        combo?: {
            dataTypeField?: string;
            palette: string[] | {
                [dataType: string]: string;
            };
        };
        canvas?: {
            [cssName: string]: unknown;
        };
    };
}
export declare class SubjectThemeSolver extends BaseThemeSolver {
    solver(options: SubjectThemeSolverOptions, themes: ThemeSpecificationMap): ThemeSpecification;
    private getMergeStylesFromColorSet;
}
/**
 * get the mix color of backColor and frontColor with alpah
 * @param backColor background color
 * @param frontColor foreground color
 * @param frontAlpha the opacity of foreground color
 */
export declare const mixColor: (backColor: any, frontColor: any, frontAlpha: any) => any;
export {};
