import { isString } from '@antv/util';
import { isArrayOverlap } from './array';
const TREE_BEHAVIORS = ['collapse-expand-tree'];
export const hasTreeBehaviors = (behaviors) => {
    if (!(behaviors === null || behaviors === void 0 ? void 0 : behaviors.length))
        return false;
    const behaviorTypes = behaviors
        .map((behavior) => (isString(behavior) ? behavior : behavior.type))
        .filter(Boolean);
    return isArrayOverlap(TREE_BEHAVIORS, behaviorTypes);
};
//# sourceMappingURL=behavior.js.map