import { Canvas } from '@antv/g';
import { RendererName } from '../types/render';
/**
 * Create a canvas
 * @param {RendererName} rendererType
 * @param {string | HTMLElement} container
 * @param {number} width
 * @param {number} height
 * @param {number} pixelRatio optional
 * @returns
 */
export declare const createCanvas: (rendererType: RendererName, container: HTMLElement, width: number, height: number, pixelRatio?: number, background?: string) => Canvas;
/**
 * Change renderer type for the canvas.
 * @param rendererType renderer type
 * @param canvas Canvas instance
 * @returns
 */
export declare const changeRenderer: (rendererType: RendererName, canvas: Canvas) => Canvas;
