import { isFunction } from '@antv/util';
/**
 * Get one extension from a (std)lib.
 * @param config extension's config
 * @param lib any lib
 * @param {StdLibCategory} cat category of the extension
 * @returns
 */
export const getExtension = (config, lib, cat) => {
    var _a;
    const catKey = `${cat}s`;
    // TODO: whether keep function type config?
    if (isFunction(config)) {
        return config;
    }
    const type = typeof config === 'string' ? config : config.type;
    const ext = (_a = lib[catKey]) === null || _a === void 0 ? void 0 : _a[type];
    return ext;
};
export const getCatExtensions = (lib, cat) => {
    const catKey = `${cat}s`;
    return lib[catKey];
};
//# sourceMappingURL=extension.js.map