import { ID } from '@antv/graphlib';
import { Group } from '@antv/g';
import { IGraph } from '../types';
import Combo from '../item/combo';
import Edge from '../item/edge';
import Node from '../item/node';
import { GraphCore } from '../types/data';
/**
 * Find the edges whose source and target are both in the ids.
 * @param graph graph instance
 * @param ids the end nodes/combos id list
 * @returns id list of the edges meet the condition
 */
export declare const getEdgesBetween: (graph: IGraph, ids: ID[]) => ID[];
export declare const upsertTransientItem: (item: Node | Edge | Combo, nodeGroup: Group, edgeGroup: Group, comboGroup: Group, transientItemMap: Map<ID, Node | Edge | Combo | Group>, itemMap: Map<ID, Node | Edge | Combo>, graphCore?: GraphCore, onlyDrawKeyShape?: boolean, upsertAncestors?: boolean) => Group | Node | Combo | Edge;
