import { GraphData, ID, NodeModel } from 'types';
type TreeGraphData = any;
/**
 * Judge the direction according to options of a tree layout.
 * @param type Tree layout type.
 * @param options Tree layout options.
 * @returns
 */
export declare const isTreeLayoutHorizontal: (type: any, options: any) => boolean;
/**
 * Layout nodes on a single tree.
 * @param treeData
 * @param layoutType Tree layout type.
 * @param layoutOptions Tree layout options.
 * @param nodeMap
 * @param nodePositions An array to store the result.
 * @param begin The begin position for this tree, might be calculated from last tree.
 * @returns Positions array.
 */
export declare const layoutOneTree: (treeData: TreeGraphData, layoutType: string, layoutOptions: any, nodeMap: any, nodePositions: any, begin?: number[]) => any;
/**
 * Whether the layout option is for combo layouts.
 * @param options
 * @returns
 */
export declare const isComboLayout: (options: any) => boolean;
/**
 * Whether the layout option is for tree layout.
 * @param options
 * @returns
 */
export declare const isTreeLayout: (options: any) => boolean;
export declare const getNodeSizeFn: (options: any, defaultSize?: number) => any;
/**
 *
 * @param data Tree graph data
 * @param layout
 */
export declare const radialLayout: (tree: TreeGraphData, nodeMap: Map<ID, NodeModel>, layout?: string) => GraphData;
export {};
