import { Point, PolyPoint } from 'types/common';
/**
 * Whether the value is begween the range of [min, max]
 * @param   {number}       value  the value to be judged
 * @param   {number}       min    the min of the range
 * @param   {number}       max    the max of the range
 * @return  {boolean}      bool   the result boolean
 */
export declare const isBetween: (value: number, min: number, max: number) => boolean;
/**
 * Calculate the manhattan distance between two points
 * @param p1 the first 2d point
 * @param p2 the second 2d point
 * @returns Sum of the absolute coordinate differences of two points
 */
export declare const manhattanDist: (p1: Point | PolyPoint, p2: Point | PolyPoint) => number;
/**
 *
 * @param p1
 * @param p2
 * @returns
 */
export declare const eulerDist: (p1: Point | PolyPoint, p2: Point | PolyPoint) => number;
