import EmptyGraph from './runtime/graph';
import { Extensions, stdLib } from './stdlib';
import Util from './util';
import { extend } from './util/extend';
export * from './types';
/**
 * Extend the graph class with std lib
 */
declare const Graph: {
    new (spec: import("./types").Specification<{
        'drag-canvas': typeof import("./stdlib/behavior").DragCanvas;
        'zoom-canvas': typeof import("./stdlib/behavior").ZoomCanvas;
        'drag-node': typeof import("./stdlib/behavior").DragNode;
        'drag-combo': typeof import("./stdlib/behavior").DragCombo;
        'collapse-expand-combo': typeof import("./stdlib/behavior").CollapseExpandCombo;
        'collapse-expand-tree': typeof import("./stdlib/behavior").CollapseExpandTree;
        'click-select': typeof import("./stdlib/behavior").ClickSelect;
    } & import("./types").BehaviorRegistry, {
        spec: typeof import("./stdlib/themeSolver").SpecThemeSolver;
        subject: typeof import("./stdlib/themeSolver").SubjectThemeSolver;
    } & import("./types/theme").ThemeRegistry>): EmptyGraph<{
        'drag-canvas': typeof import("./stdlib/behavior").DragCanvas;
        'zoom-canvas': typeof import("./stdlib/behavior").ZoomCanvas;
        'drag-node': typeof import("./stdlib/behavior").DragNode;
        'drag-combo': typeof import("./stdlib/behavior").DragCombo;
        'collapse-expand-combo': typeof import("./stdlib/behavior").CollapseExpandCombo;
        'collapse-expand-tree': typeof import("./stdlib/behavior").CollapseExpandTree;
        'click-select': typeof import("./stdlib/behavior").ClickSelect;
    } & import("./types").BehaviorRegistry, {
        spec: typeof import("./stdlib/themeSolver").SpecThemeSolver;
        subject: typeof import("./stdlib/themeSolver").SubjectThemeSolver;
    } & import("./types/theme").ThemeRegistry>;
};
declare const G6: {
    Graph: {
        new (spec: import("./types").Specification<{
            'drag-canvas': typeof import("./stdlib/behavior").DragCanvas;
            'zoom-canvas': typeof import("./stdlib/behavior").ZoomCanvas;
            'drag-node': typeof import("./stdlib/behavior").DragNode;
            'drag-combo': typeof import("./stdlib/behavior").DragCombo;
            'collapse-expand-combo': typeof import("./stdlib/behavior").CollapseExpandCombo;
            'collapse-expand-tree': typeof import("./stdlib/behavior").CollapseExpandTree;
            'click-select': typeof import("./stdlib/behavior").ClickSelect;
        } & import("./types").BehaviorRegistry, {
            spec: typeof import("./stdlib/themeSolver").SpecThemeSolver;
            subject: typeof import("./stdlib/themeSolver").SubjectThemeSolver;
        } & import("./types/theme").ThemeRegistry>): EmptyGraph<{
            'drag-canvas': typeof import("./stdlib/behavior").DragCanvas;
            'zoom-canvas': typeof import("./stdlib/behavior").ZoomCanvas;
            'drag-node': typeof import("./stdlib/behavior").DragNode;
            'drag-combo': typeof import("./stdlib/behavior").DragCombo;
            'collapse-expand-combo': typeof import("./stdlib/behavior").CollapseExpandCombo;
            'collapse-expand-tree': typeof import("./stdlib/behavior").CollapseExpandTree;
            'click-select': typeof import("./stdlib/behavior").ClickSelect;
        } & import("./types").BehaviorRegistry, {
            spec: typeof import("./stdlib/themeSolver").SpecThemeSolver;
            subject: typeof import("./stdlib/themeSolver").SubjectThemeSolver;
        } & import("./types/theme").ThemeRegistry>;
    };
    Util: {
        extend: <B1 extends import("./types").BehaviorRegistry, B2 extends import("./types").BehaviorRegistry, T1 extends import("./types/theme").ThemeRegistry, T2 extends import("./types/theme").ThemeRegistry>(GraphClass: {
            new (spec: import("./types").Specification<B2, T2>): EmptyGraph<B2, T2>;
        }, extendLibrary: {
            behaviors?: B1;
            themeSolvers?: T1;
            nodes?: import("./types/node").NodeRegistry;
            edges?: import("./types/edge").EdgeRegistry;
            layouts?: import("./types/layout").LayoutRegistry;
            plugins?: import("./types/plugin").PluginRegistry;
        }) => {
            new (spec: import("./types").Specification<B1 & B2, T1 & T2>): EmptyGraph<B1 & B2, T1 & T2>;
        };
        isEncode: (value: any) => value is import("./types/item").Encode<any>;
        mock: (nodeCount: number) => {
            circle: (centerId?: string) => {
                nodes: {
                    id: string;
                    data: {};
                }[];
                edges: any[];
            };
            random: (ratio?: number) => {
                nodes: {
                    id: string;
                    data: {};
                }[];
                edges: any[];
            };
        };
        getArrowPath: (type: import("./types/edge").ArrowType, width: number, height: number) => string;
        graphCoreTreeDfs: (graphCore: import("./types").GraphCore, nodes: import("./types").NodeUserModel[], fn: any, mode?: "TB" | "BT", treeKey?: string, stopFns?: {
            stopBranchFn?: (node: import("./types").NodeUserModel) => boolean;
            stopAllFn?: (node: import("./types").NodeUserModel) => boolean;
        }) => void;
        graphComboTreeDfs: (graph: import("./types").IGraph<import("./types").BehaviorRegistry, import("./types/theme").ThemeRegistry>, nodes: import("./types").NodeUserModel[], fn: any, mode?: "TB" | "BT") => void;
        traverseAncestorsAndSucceeds: (graph: import("./types").IGraph<import("./types").BehaviorRegistry, import("./types/theme").ThemeRegistry>, graphCore: import("./types").GraphCore, nodes: import("./types").NodeUserModel[], fn: any, mode?: "TB" | "BT") => void;
        traverseGraphAncestors: (graph: import("./types").IGraph<import("./types").BehaviorRegistry, import("./types/theme").ThemeRegistry>, nodes: import("./types").NodeUserModel[], fn: any) => void;
        traverseAncestors: (graphCore: any, nodes: any, fn: any) => void;
        isSucceed: (graph: any, testParent: any, testSucceed: any) => boolean;
        treeData2GraphData: (treeData: import("@antv/graphlib").TreeData<import("./types/node").NodeUserModelData> | import("@antv/graphlib").TreeData<import("./types/node").NodeUserModelData>[]) => {
            nodes: any[];
            edges: any[];
            combos: any[];
        };
        graphData2TreeData: (nodeMap: {
            [id: string]: any;
        }, graphData: import("./types").GraphData, propRootIds?: import("@antv/graphlib/lib/types").ID[]) => any[];
        traverse: (treeData: any, callback: any) => void;
        getEdgesBetween: (graph: import("./types").IGraph<import("./types").BehaviorRegistry, import("./types/theme").ThemeRegistry>, ids: import("@antv/graphlib/lib/types").ID[]) => import("@antv/graphlib/lib/types").ID[];
    };
    stdLib: {
        transforms: {
            'validate-data': (data: import("./types").GraphData, options?: {}, userGraphCore?: import("./types").GraphCore) => import("./types").GraphData;
            'transform-v4-data': (data: import("./types").GraphData, options?: {}, userGraphCore?: import("./types").GraphCore) => import("./types").GraphData;
            'map-node-size': (data: import("./types").GraphData, options?: {
                field?: string;
                range?: [number, number];
            }, userGraphCore?: import("./types").GraphCore) => import("./types").GraphData;
        };
        themes: {
            light: import("./types").ThemeSpecification;
            dark: import("./types").ThemeSpecification;
        };
        themeSolvers: {
            spec: typeof import("./stdlib/themeSolver").SpecThemeSolver;
            subject: typeof import("./stdlib/themeSolver").SubjectThemeSolver;
        };
        layouts: any;
        behaviors: {
            'drag-canvas': typeof import("./stdlib/behavior").DragCanvas;
            'zoom-canvas': typeof import("./stdlib/behavior").ZoomCanvas;
            'drag-node': typeof import("./stdlib/behavior").DragNode;
            'drag-combo': typeof import("./stdlib/behavior").DragCombo;
            'collapse-expand-combo': typeof import("./stdlib/behavior").CollapseExpandCombo;
            'collapse-expand-tree': typeof import("./stdlib/behavior").CollapseExpandTree;
            'click-select': typeof import("./stdlib/behavior").ClickSelect;
        };
        plugins: {
            history: typeof import("./stdlib/plugin").History;
        };
        nodes: {
            'circle-node': typeof import("./api-doc/item").CircleNode;
            'rect-node': typeof import("./api-doc/item").RectNode;
        };
        edges: {
            'line-edge': typeof import("./stdlib/item/edge").LineEdge;
        };
        combos: {
            'circle-combo': typeof import("./stdlib/item/combo").CircleCombo;
            'rect-combo': typeof import("./stdlib/item/combo").RectCombo;
        };
        markers: {
            collapse: (x: any, y: any, r: any) => any[][];
            expand: (x: any, y: any, r: any) => any[][];
            upTriangle: (x: any, y: any, r: any) => any[][];
            downTriangle: (x: any, y: any, r: any) => any[][];
        };
    };
    Extensions: {
        ValidateData: (data: import("./types").GraphData, options?: {}, userGraphCore?: import("./types").GraphCore) => import("./types").GraphData;
        TransformV4Data: (data: import("./types").GraphData, options?: {}, userGraphCore?: import("./types").GraphCore) => import("./types").GraphData;
        MapNodeSize: (data: import("./types").GraphData, options?: {
            field?: string;
            range?: [number, number];
        }, userGraphCore?: import("./types").GraphCore) => import("./types").GraphData;
        LightTheme: import("./types").ThemeSpecification;
        DarkTheme: import("./types").ThemeSpecification;
        SpecThemeSolver: typeof import("./stdlib/themeSolver").SpecThemeSolver;
        SubjectThemeSolver: typeof import("./stdlib/themeSolver").SubjectThemeSolver;
        ForceLayout: typeof import("@antv/layout").ForceLayout;
        GridLayout: typeof import("@antv/layout").GridLayout;
        CircularLayout: typeof import("@antv/layout").CircularLayout;
        ConcentricLayout: typeof import("@antv/layout").ConcentricLayout;
        RandomLayout: typeof import("@antv/layout").RandomLayout;
        MDSLayout: typeof import("@antv/layout").MDSLayout;
        RadialLayout: typeof import("@antv/layout").RadialLayout;
        FruchtermanLayout: typeof import("@antv/layout").FruchtermanLayout;
        D3ForceLayout: typeof import("@antv/layout").D3ForceLayout;
        ForceAtlas2Layout: typeof import("@antv/layout").ForceAtlas2Layout;
        DagreLayout: typeof import("@antv/layout").DagreLayout;
        ComboCombinedLayout: typeof import("@antv/layout").ComboCombinedLayout;
        compactBox: any;
        dendrogram: any;
        indented: any;
        mindmap: any;
        CircleNode: typeof import("./api-doc/item").CircleNode;
        RectNode: typeof import("./api-doc/item").RectNode;
        DiamondNode: typeof import("./api-doc/item").DiamondNode;
        DonutNode: typeof import("./api-doc/item").DonutNode;
        SphereNode: typeof import("./api-doc/item").SphereNode;
        StarNode: typeof import("./api-doc/item").StarNode;
        HexagonNode: typeof import("./api-doc/item").HexagonNode;
        TriangleNode: typeof import("./api-doc/item").TriangleNode;
        EllipseNode: typeof import("./api-doc/item").EllipseNode;
        ModelRectNode: typeof import("./api-doc/item").ModelRectNode;
        LineEdge: typeof import("./stdlib/item/edge").LineEdge;
        CubicEdge: typeof import("./stdlib/item/edge").CubicEdge;
        CubicHorizontalEdge: typeof import("./stdlib/item/edge").CubicHorizontalEdge;
        CubicVerticalEdge: typeof import("./stdlib/item/edge").CubicVerticalEdge;
        LoopEdge: typeof import("./stdlib/item/edge").LoopEdge;
        PolylineEdge: typeof import("./stdlib/item/edge").PolylineEdge;
        QuadraticEdge: typeof import("./stdlib/item/edge").QuadraticEdge;
        CircleCombo: typeof import("./stdlib/item/combo").CircleCombo;
        RectCombo: typeof import("./stdlib/item/combo").RectCombo;
        BaseBehavior: typeof import("./types").Behavior;
        ActivateRelations: typeof import("./stdlib/behavior").ActivateRelations;
        BrushSelect: typeof import("./stdlib/behavior").BrushSelect;
        HoverActivate: typeof import("./stdlib/behavior").HoverActivate;
        LassoSelect: typeof import("./stdlib/behavior").LassoSelect;
        OrbitCanvas3D: typeof import("./stdlib/behavior").OrbitCanvas3D;
        RotateCanvas3D: typeof import("./stdlib/behavior").RotateCanvas3D;
        TrackCanvas3D: typeof import("./stdlib/behavior").TrackCanvas3D;
        ZoomCanvas3D: typeof import("./stdlib/behavior").ZoomCanvas3D;
        ZoomCanvas: typeof import("./stdlib/behavior").ZoomCanvas;
        DragCanvas: typeof import("./stdlib/behavior").DragCanvas;
        CollapseExpandTree: typeof import("./stdlib/behavior").CollapseExpandTree;
        CollapseExpandCombo: typeof import("./stdlib/behavior").CollapseExpandCombo;
        DragNode: typeof import("./stdlib/behavior").DragNode;
        DragCombo: typeof import("./stdlib/behavior").DragCombo;
        BasePlugin: typeof import("./types").PluginBase;
        History: typeof import("./stdlib/plugin").History;
        Toolbar: typeof import("./stdlib/plugin").Toolbar;
        Tooltip: typeof import("./stdlib/plugin").Tooltip;
        Minimap: typeof import("./stdlib/plugin").Minimap;
        Grid: typeof import("./stdlib/plugin").Grid;
        Menu: typeof import("./stdlib/plugin").Menu;
        Fisheye: typeof import("./stdlib/plugin").Fisheye;
        Legend: typeof import("./stdlib/plugin").Legend;
    };
    extend: <B1 extends import("./types").BehaviorRegistry, B2 extends import("./types").BehaviorRegistry, T1 extends import("./types/theme").ThemeRegistry, T2 extends import("./types/theme").ThemeRegistry>(GraphClass: {
        new (spec: import("./types").Specification<B2, T2>): EmptyGraph<B2, T2>;
    }, extendLibrary: {
        behaviors?: B1;
        themeSolvers?: T1;
        nodes?: import("./types/node").NodeRegistry;
        edges?: import("./types/edge").EdgeRegistry;
        layouts?: import("./types/layout").LayoutRegistry;
        plugins?: import("./types/plugin").PluginRegistry;
    }) => {
        new (spec: import("./types").Specification<B1 & B2, T1 & T2>): EmptyGraph<B1 & B2, T1 & T2>;
    };
};
export { Extensions, Graph, Util, extend, stdLib };
export default G6;
