"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollapseExpandCombo = void 0;
const behavior_1 = require("../../types/behavior");
const ALLOWED_TRIGGERS = ['dblclick', 'click'];
const DEFAULT_OPTIONS = {
    trigger: 'dblclick',
    shouldBegin: () => true,
};
class CollapseExpandCombo extends behavior_1.Behavior {
    constructor(options) {
        const finalOptions = Object.assign({}, DEFAULT_OPTIONS, options);
        super(finalOptions);
        this.getEvents = () => {
            if (this.options.trigger === 'dblclick') {
                return {
                    'combo:dblclick': this.collapseExpandCombo,
                };
            }
            return {
                'combo:click': this.collapseExpandCombo,
            };
        };
    }
    collapseExpandCombo(event) {
        if (!this.options.shouldBegin(event))
            return;
        const { itemId } = event;
        const model = this.graph.getComboData(itemId);
        if (model.data.collapsed) {
            this.graph.expandCombo(itemId);
        }
        else {
            this.graph.collapseCombo(itemId);
        }
    }
}
exports.CollapseExpandCombo = CollapseExpandCombo;
//# sourceMappingURL=collapse-expand-combo.js.map