"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.utils = exports.stdLib = exports.registery = exports.Extensions = void 0;
const Layouts = __importStar(require("@antv/layout"));
const hierarchy_1 = __importDefault(require("@antv/hierarchy"));
const behavior_1 = require("../types/behavior");
const plugin_1 = require("../types/plugin");
const Behaviors = __importStar(require("./behavior"));
const Transforms = __importStar(require("./data"));
const Combos = __importStar(require("./item/combo"));
const Nodes = __importStar(require("./item/node"));
const Edges = __importStar(require("./item/edge"));
const Themes = __importStar(require("./theme"));
const ThemeSolvers = __importStar(require("./themeSolver"));
const Plugins = __importStar(require("./plugin"));
const { ValidateData, TransformV4Data, MapNodeSize } = Transforms;
const { compactBox, dendrogram, indented, mindmap } = hierarchy_1.default;
const { DarkTheme, LightTheme } = Themes;
const { SpecThemeSolver, SubjectThemeSolver } = ThemeSolvers;
const { CircleNode, RectNode, DiamondNode, DonutNode, SphereNode, StarNode, HexagonNode, TriangleNode, EllipseNode, ModelRectNode, } = Nodes;
const { LineEdge, CubicEdge, CubicHorizontalEdge, CubicVerticalEdge, LoopEdge, PolylineEdge, QuadraticEdge, } = Edges;
const { CircleCombo, RectCombo } = Combos;
const { ActivateRelations, BrushSelect, HoverActivate, LassoSelect, OrbitCanvas3D, RotateCanvas3D, TrackCanvas3D, ZoomCanvas3D, ZoomCanvas, DragCanvas, CollapseExpandTree, CollapseExpandCombo, DragNode, DragCombo, ClickSelect, } = Behaviors;
const { History, Tooltip, Minimap, Grid, Menu, Fisheye, Legend, Toolbar } = Plugins;
const { ForceLayout, GridLayout, CircularLayout, ConcentricLayout, RandomLayout, MDSLayout, RadialLayout, FruchtermanLayout, D3ForceLayout, ForceAtlas2Layout, DagreLayout, ComboCombinedLayout, } = Layouts;
const lasso_1 = __importDefault(require("./selector/lasso"));
const rect_1 = __importDefault(require("./selector/rect"));
const stdLib = {
    transforms: {
        'validate-data': ValidateData,
        'transform-v4-data': TransformV4Data,
        'map-node-size': MapNodeSize,
    },
    themes: {
        light: LightTheme,
        dark: DarkTheme,
    },
    themeSolvers: {
        spec: SpecThemeSolver,
        subject: SubjectThemeSolver,
    },
    layouts: Object.assign({ force: ForceLayout, grid: GridLayout, circular: CircularLayout, concentric: ConcentricLayout }, hierarchy_1.default),
    behaviors: {
        'drag-canvas': DragCanvas,
        'zoom-canvas': ZoomCanvas,
        'drag-node': DragNode,
        'drag-combo': DragCombo,
        'collapse-expand-combo': CollapseExpandCombo,
        'collapse-expand-tree': CollapseExpandTree,
        'click-select': ClickSelect,
    },
    plugins: {
        history: History,
    },
    nodes: {
        'circle-node': CircleNode,
        'rect-node': RectNode,
    },
    edges: {
        'line-edge': LineEdge,
    },
    combos: {
        'circle-combo': CircleCombo,
        'rect-combo': RectCombo,
    },
    markers: {
        collapse: (x, y, r) => {
            return [
                ['M', x - r, y],
                ['a', r, r, 0, 1, 0, r * 2, 0],
                ['a', r, r, 0, 1, 0, -r * 2, 0],
                ['M', x - r + 4, y],
                ['L', x + r - 4, y],
            ];
        },
        expand: (x, y, r) => {
            return [
                ['M', x - r, y],
                ['a', r, r, 0, 1, 0, r * 2, 0],
                ['a', r, r, 0, 1, 0, -r * 2, 0],
                ['M', x - r + 4, y],
                ['L', x - r + 2 * r - 4, y],
                ['M', x - r + r, y - r + 4],
                ['L', x, y + r - 4],
            ];
        },
        upTriangle: (x, y, r) => {
            const l1 = r * Math.cos(Math.PI / 6);
            const l2 = r * Math.sin(Math.PI / 6);
            return [
                ['M', x - l1, y + l2],
                ['L', x + l1, y + l2],
                ['L', x, y - r],
                ['Z'],
            ];
        },
        downTriangle: (x, y, r) => {
            const l1 = r * Math.cos(Math.PI / 6);
            const l2 = r * Math.sin(Math.PI / 6);
            return [
                ['M', x - l1, y - l2],
                ['L', x + l1, y - l2],
                ['L', x, y + r],
                ['Z'],
            ];
        },
    },
};
exports.stdLib = stdLib;
const useLib = {
    transforms: {},
    themes: {},
    layouts: {},
    behaviors: {},
    plugins: {},
    nodes: {},
    edges: {},
    combos: {},
};
const utils = {
    rectSelector: rect_1.default,
    lassoSelector: lasso_1.default,
};
exports.utils = utils;
const registery = { useLib };
exports.registery = registery;
const Extensions = {
    // transforms
    ValidateData,
    TransformV4Data,
    MapNodeSize,
    //themes
    LightTheme,
    DarkTheme,
    //themeSolvers
    SpecThemeSolver,
    SubjectThemeSolver,
    //layout
    ForceLayout,
    GridLayout,
    CircularLayout,
    ConcentricLayout,
    RandomLayout,
    MDSLayout,
    RadialLayout,
    FruchtermanLayout,
    D3ForceLayout,
    ForceAtlas2Layout,
    DagreLayout,
    ComboCombinedLayout,
    //Hierarchy
    compactBox,
    dendrogram,
    indented,
    mindmap,
    //nodes
    CircleNode,
    RectNode,
    DiamondNode,
    DonutNode,
    SphereNode,
    StarNode,
    HexagonNode,
    TriangleNode,
    EllipseNode,
    ModelRectNode,
    // edges
    LineEdge,
    CubicEdge,
    CubicHorizontalEdge,
    CubicVerticalEdge,
    LoopEdge,
    PolylineEdge,
    QuadraticEdge,
    // combos
    CircleCombo,
    RectCombo,
    //behaviors
    BaseBehavior: behavior_1.Behavior,
    ActivateRelations,
    BrushSelect,
    HoverActivate,
    LassoSelect,
    OrbitCanvas3D,
    RotateCanvas3D,
    TrackCanvas3D,
    ZoomCanvas3D,
    ZoomCanvas,
    DragCanvas,
    CollapseExpandTree,
    CollapseExpandCombo,
    DragNode,
    DragCombo,
    //plugins
    BasePlugin: plugin_1.Plugin,
    History,
    Toolbar,
    Tooltip,
    Minimap,
    Grid,
    Menu,
    Fisheye,
    Legend,
};
exports.Extensions = Extensions;
exports.default = registery;
//# sourceMappingURL=index.js.map