import { Point } from '../../../types/common';
import { CubicEdge } from './cubic';
export declare class CubicVerticalEdge extends CubicEdge {
    type: string;
    defaultStyles: {
        keyShape: {
            x1: number;
            y1: number;
            z1: number;
            x2: number;
            y2: number;
            z2: number;
            isBillboard: boolean;
        };
    };
    constructor(props: any);
    /**
     * control point calculated according to startPoint, endPoint, percent, and offset
     * @param  {Point} startPoint source point position of edge (x, y)
     * @param  {Point} endPoint  target point position of edge (x, y)
     * @param  {Number} percent   the proportion of control points' in the segment, Range 0 to 1
     * @param  {Number} offset    the curveOffset
     * @param controlPoints the control point position
     * @returns control points
     */
    protected getControlPoints: (startPoint: Point, endPoint: Point, percent: number, controlPoints: Point[], offset: number) => Point[];
    /**
     * control point calculated according to startPoint, endPoint, percent, and offset
     * @param  {Point} startPoint source point position of edge (x, y)
     * @param  {Point} endPoint  target point position of edge (x, y)
     * @param  {Number} percent   the proportion of control points' in the segment, Range 0 to 1
     * @param  {Number} offset    the curveOffset
     * @return {Point} control point (x,y)
     */
    protected getControlPoint: (startPoint: Point, endPoint: Point, offset: number) => Point;
}
