import { DisplayObject } from '@antv/g';
import { NodeDisplayModel } from '../../../types';
import { ComboDisplayModel, ComboModelData, ComboShapeMap } from '../../../types/combo';
import { State } from '../../../types/item';
import { NodeModelData, NodeShapeMap, NodeShapeStyles } from '../../../types/node';
import { BaseNode } from './base';
export declare class TriangleNode extends BaseNode {
    defaultStyles: {
        keyShape: {
            r: number;
            x: number;
            y: number;
            direction: string;
        };
    };
    mergedStyles: NodeShapeStyles;
    constructor(props: any);
    draw(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): NodeShapeMap;
    drawKeyShape(model: NodeDisplayModel, shapeMap: NodeShapeMap, diffData?: {
        previous: NodeModelData;
        current: NodeModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): DisplayObject;
    private getTrianglePath;
    /**
     * @description: add 'defaultOffsetX' and 'defaultOffsetY' making the icon align to the triangle center
     */
    drawIconShape(model: NodeDisplayModel | ComboDisplayModel, shapeMap: NodeShapeMap | ComboShapeMap, diffData?: {
        previous: NodeModelData | ComboModelData;
        current: NodeModelData | ComboModelData;
    }, diffState?: {
        previous: State[];
        current: State[];
    }): DisplayObject;
    calculateAnchorPosition(keyShapeStyle: any): {};
}
