import { IGraph } from '../../../types';
import { Plugin as Base, IPluginBaseConfig } from '../../../types/plugin';
/**
 * This is an interface named `GridConfig`, which extends the `IPluginBaseConfig` interface. It contains the following properties:

- `img`: A string representing the background image of the grid.
- `follow`: A boolean indicating whether the grid follows the view movement.

 */
export interface GridConfig extends IPluginBaseConfig {
    img?: string;
    follow?: boolean;
}
interface ViewPortEventParam {
    action: string;
    matrix: number[];
}
export declare class Grid extends Base {
    private canvas;
    private viewport;
    private container;
    constructor(options?: GridConfig);
    getDefaultCfgs(): GridConfig;
    init(graph: IGraph): void;
    getEvents(): {
        viewportchange: (param: ViewPortEventParam) => void;
    };
    /**
     * viewport change
     * @param param
     */
    protected updateGrid(param: ViewPortEventParam): void;
    getContainer(): HTMLDivElement;
    destroy(): void;
}
export {};
