"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComboCommand = void 0;
class ComboCommand {
    constructor(action, ids) {
        this.action = action;
        this.ids = ids;
    }
    undo(graph) {
        graph.executeWithoutStacking(() => {
            this.action === 'expandCombo'
                ? graph.collapseCombo(this.ids)
                : graph.expandCombo(this.ids);
        });
    }
    redo(graph) {
        graph.executeWithoutStacking(() => {
            this.action === 'collapseCombo'
                ? graph.collapseCombo(this.ids)
                : graph.expandCombo(this.ids);
        });
    }
}
exports.ComboCommand = ComboCommand;
//# sourceMappingURL=combo-command.js.map