"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VisibilityUpdatedCommand = void 0;
const util_1 = require("@antv/util");
class VisibilityUpdatedCommand {
    constructor(changes, disableAnimate) {
        this.changes = changes;
        this.disableAnimate = disableAnimate;
    }
    toggleItemsVisible(graph, values) {
        graph.pauseStacking();
        (0, util_1.each)(values, (value) => value.visible
            ? graph.showItem(value.ids, this.disableAnimate)
            : graph.hideItem(value.ids, this.disableAnimate));
        graph.resumeStacking();
    }
    undo(graph) {
        const { oldValue } = this.changes;
        this.toggleItemsVisible(graph, oldValue);
    }
    redo(graph) {
        const { newValue } = this.changes;
        this.toggleItemsVisible(graph, newValue);
    }
}
exports.VisibilityUpdatedCommand = VisibilityUpdatedCommand;
//# sourceMappingURL=visibility-updated-command.js.map