import { NodeStyleSets, EdgeStyleSets, ThemeSpecification } from '../../types/theme';
import { BaseThemeSolver, ThemeSpecificationMap } from './base';
interface SpecThemeSolverOptions {
    base: 'light' | 'dark';
    specification?: {
        node?: {
            dataTypeField?: string;
            palette: string[] | {
                [dataType: string]: string;
            };
            getStyleSets: (palette: any) => NodeStyleSets;
        };
        edge?: {
            dataTypeField?: string;
            palette: string[] | {
                [dataType: string]: string;
            };
            getStyleSets: (palette: any) => EdgeStyleSets;
        };
        combo?: {
            dataTypeField?: string;
            palette: string[] | {
                [dataType: string]: string;
            };
            getStyleSets: (palette: any) => NodeStyleSets;
        };
        canvas?: {
            [cssName: string]: unknown;
        };
    };
}
export declare class SpecThemeSolver extends BaseThemeSolver {
    solver(options: SpecThemeSolverOptions, themes: ThemeSpecificationMap): ThemeSpecification;
}
export {};
