"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceElements = exports.intersectSet = exports.unionSet = exports.diffSet = exports.isArraySame = exports.isArrayOverlap = void 0;
/**
 * Whether two array have same element.
 * @param arr1
 * @param arr2
 * @returns
 */
const isArrayOverlap = (arr1, arr2) => {
    if (!(arr1 === null || arr1 === void 0 ? void 0 : arr1.length) || !(arr2 === null || arr2 === void 0 ? void 0 : arr2.length))
        return false;
    for (let i = 0; i < arr1.length; i++) {
        for (let j = 0; j < arr2.length; j++) {
            if (arr1[i] === arr2[j])
                return true;
        }
    }
    return false;
};
exports.isArrayOverlap = isArrayOverlap;
/** Stringify arrays and compare the strings. */
const isArraySame = (arr1 = [], arr2 = []) => {
    return JSON.stringify(arr1) === JSON.stringify(arr2);
};
exports.isArraySame = isArraySame;
/**
 * Get the set of a - b.
 * @param a
 * @param b
 */
function diffSet(a = [], b = []) {
    const valueMap = {};
    b.forEach((value) => {
        if (typeof value === 'object')
            valueMap[JSON.stringify(value)] = true;
        valueMap[value] = true;
    });
    return a.filter((value) => !valueMap[value]);
}
exports.diffSet = diffSet;
/**
 * Get the set of a + b.
 * @param a
 * @param b
 */
function unionSet(a, b) {
    const resultSet = new Set(a);
    b.forEach((value) => {
        resultSet.add(value);
    });
    return Array.from(resultSet);
}
exports.unionSet = unionSet;
/**
 * Get the intersect set of a and b.
 * @param a
 * @param b
 */
function intersectSet(a, b) {
    const aSet = new Set(a);
    const result = [];
    b.forEach((value) => {
        if (aSet.has(value))
            result.push(value);
    });
    return result;
}
exports.intersectSet = intersectSet;
function replaceElements(arr, target, replaceWith) {
    for (let i = 0; i < arr.length; i++) {
        if (arr[i] === target) {
            arr[i] = replaceWith;
        }
    }
    return arr;
}
exports.replaceElements = replaceElements;
//# sourceMappingURL=array.js.map