"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasTreeBehaviors = void 0;
const util_1 = require("@antv/util");
const array_1 = require("./array");
const TREE_BEHAVIORS = ['collapse-expand-tree'];
const hasTreeBehaviors = (behaviors) => {
    if (!(behaviors === null || behaviors === void 0 ? void 0 : behaviors.length))
        return false;
    const behaviorTypes = behaviors
        .map((behavior) => ((0, util_1.isString)(behavior) ? behavior : behavior.type))
        .filter(Boolean);
    return (0, array_1.isArrayOverlap)(TREE_BEHAVIORS, behaviorTypes);
};
exports.hasTreeBehaviors = hasTreeBehaviors;
//# sourceMappingURL=behavior.js.map