"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extend = void 0;
const stdlib_1 = __importDefault(require("../stdlib"));
/**
 * Extend graph class with custom libs (extendLibrary), and extendLibrary will be merged into useLib.
 * B1 is the Behavior lib from user, B2 is the Behavior lib of the graph to be extended(built-in graph)
 * TODO: more templates, and might be merged to be two templates for the whole extendLibrary
 * @param GraphClass graph class to be extended
 * @param extendLibrary custom libs to extend
 * @returns extended graph class
 */
const extend = (GraphClass, extendLibrary) => {
    // merged the extendLibrary to useLib for global usage
    Object.keys(extendLibrary).forEach((cat) => {
        stdlib_1.default.useLib[cat] = Object.assign({}, stdlib_1.default.useLib[cat], extendLibrary[cat] || {});
        Object.keys(stdlib_1.default.useLib[cat]).forEach((type) => {
            const extension = stdlib_1.default.useLib[cat][type];
            extension.type = type;
        });
    });
    // @ts-expect-error
    return GraphClass;
};
exports.extend = extend;
//# sourceMappingURL=extend.js.map