"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCatExtensions = exports.getExtension = void 0;
const util_1 = require("@antv/util");
/**
 * Get one extension from a (std)lib.
 * @param config extension's config
 * @param lib any lib
 * @param {StdLibCategory} cat category of the extension
 * @returns
 */
const getExtension = (config, lib, cat) => {
    var _a;
    const catKey = `${cat}s`;
    // TODO: whether keep function type config?
    if ((0, util_1.isFunction)(config)) {
        return config;
    }
    const type = typeof config === 'string' ? config : config.type;
    const ext = (_a = lib[catKey]) === null || _a === void 0 ? void 0 : _a[type];
    return ext;
};
exports.getExtension = getExtension;
const getCatExtensions = (lib, cat) => {
    const catKey = `${cat}s`;
    return lib[catKey];
};
exports.getCatExtensions = getCatExtensions;
//# sourceMappingURL=extension.js.map