declare const Util: {
    extend: <B1 extends import("..").BehaviorRegistry, B2 extends import("..").BehaviorRegistry, T1 extends import("../types/theme").ThemeRegistry, T2 extends import("../types/theme").ThemeRegistry>(GraphClass: {
        new (spec: import("..").Specification<B2, T2>): import("../runtime/graph").default<B2, T2>;
    }, extendLibrary: {
        behaviors?: B1;
        themeSolvers?: T1;
        nodes?: import("../types/node").NodeRegistry;
        edges?: import("../types/edge").EdgeRegistry;
        layouts?: import("../types/layout").LayoutRegistry;
        plugins?: import("../types/plugin").PluginRegistry;
    }) => {
        new (spec: import("..").Specification<B1 & B2, T1 & T2>): import("../runtime/graph").default<B1 & B2, T1 & T2>;
    };
    isEncode: (value: any) => value is import("../types/item").Encode<any>;
    mock: (nodeCount: number) => {
        circle: (centerId?: string) => {
            nodes: {
                id: string;
                data: {};
            }[];
            edges: any[];
        };
        random: (ratio?: number) => {
            nodes: {
                id: string;
                data: {};
            }[];
            edges: any[];
        };
    };
    getArrowPath: (type: import("../types/edge").ArrowType, width: number, height: number) => string;
    graphCoreTreeDfs: (graphCore: import("..").GraphCore, nodes: import("..").NodeUserModel[], fn: any, mode?: "TB" | "BT", treeKey?: string, stopFns?: {
        stopBranchFn?: (node: import("..").NodeUserModel) => boolean;
        stopAllFn?: (node: import("..").NodeUserModel) => boolean;
    }) => void;
    graphComboTreeDfs: (graph: import("..").IGraph<import("..").BehaviorRegistry, import("../types/theme").ThemeRegistry>, nodes: import("..").NodeUserModel[], fn: any, mode?: "TB" | "BT") => void;
    traverseAncestorsAndSucceeds: (graph: import("..").IGraph<import("..").BehaviorRegistry, import("../types/theme").ThemeRegistry>, graphCore: import("..").GraphCore, nodes: import("..").NodeUserModel[], fn: any, mode?: "TB" | "BT") => void;
    traverseGraphAncestors: (graph: import("..").IGraph<import("..").BehaviorRegistry, import("../types/theme").ThemeRegistry>, nodes: import("..").NodeUserModel[], fn: any) => void;
    traverseAncestors: (graphCore: any, nodes: any, fn: any) => void;
    isSucceed: (graph: any, testParent: any, testSucceed: any) => boolean;
    treeData2GraphData: (treeData: import("@antv/graphlib").TreeData<import("../types/node").NodeUserModelData> | import("@antv/graphlib").TreeData<import("../types/node").NodeUserModelData>[]) => {
        nodes: any[];
        edges: any[];
        combos: any[];
    };
    graphData2TreeData: (nodeMap: {
        [id: string]: any;
    }, graphData: import("..").GraphData, propRootIds?: import("@antv/graphlib").ID[]) => any[];
    traverse: (treeData: any, callback: any) => void;
    getEdgesBetween: (graph: import("..").IGraph<import("..").BehaviorRegistry, import("../types/theme").ThemeRegistry>, ids: import("@antv/graphlib").ID[]) => import("@antv/graphlib").ID[];
};
export default Util;
