"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eulerDist = exports.manhattanDist = exports.isBetween = void 0;
/**
 * Whether the value is begween the range of [min, max]
 * @param   {number}       value  the value to be judged
 * @param   {number}       min    the min of the range
 * @param   {number}       max    the max of the range
 * @return  {boolean}      bool   the result boolean
 */
const isBetween = (value, min, max) => value >= min && value <= max;
exports.isBetween = isBetween;
/**
 * Calculate the manhattan distance between two points
 * @param p1 the first 2d point
 * @param p2 the second 2d point
 * @returns Sum of the absolute coordinate differences of two points
 */
const manhattanDist = (p1, p2) => Math.abs(p1.x - p2.x) + Math.abs(p1.y - p2.y);
exports.manhattanDist = manhattanDist;
/**
 *
 * @param p1
 * @param p2
 * @returns
 */
const eulerDist = (p1, p2) => Math.sqrt(Math.pow((p1.x - p2.x), 2) + Math.pow((p1.y - p2.y), 2));
exports.eulerDist = eulerDist;
//# sourceMappingURL=math.js.map