import { PolyPoint } from 'types/common';
import { ID } from 'types';
import Node from '../item/node';
export interface RouterCfg {
    /** Spacing between lines and points */
    offset?: number;
    /** Grid size */
    gridSize?: number;
    /** Maximum allowable rotation angle (radian) */
    maxAllowedDirectionChange?: number;
    /** Allowed edge directions */
    directions?: any[];
    /** Penalties */
    penalties?: {};
    /** Determine if use simple router for polyline when no obstacles */
    simple?: boolean;
    /** Function to calculate the distance between two points */
    distFunc?: (p1: PolyPoint, p2: PolyPoint) => number;
    /** Simplified function to find path */
    fallbackRoute?: (p1: PolyPoint, p2: PolyPoint, startNode?: Node, endNode?: Node, cfg?: RouterCfg) => PolyPoint[];
    /** Maximum loops */
    maximumLoops?: number;
    /**
     * Whether to automatically avoid other nodes (obstacles) on the path
     * Defaults to false.
     */
    obstacleAvoidance?: boolean;
}
export declare const octolinearCfg: RouterCfg;
/** Find the shortest path computed by A* routing algorithm */
export declare const pathFinder: (sourceNodeId: ID, targetNodeId: ID, nodeMap: Map<ID, Node>, routerCfg?: RouterCfg) => PolyPoint[];
