import { DisplayObject, Group } from '@antv/g';
import { Mesh } from '@antv/g-plugin-3d';
import { EdgeShapeMap } from '../types/edge';
import { NodeShapeMap } from '../types/node';
import { GShapeStyle, SHAPE_TYPE, SHAPE_TYPE_3D } from '../types/item';
export declare const createShape3D: (type: SHAPE_TYPE_3D | SHAPE_TYPE, style: GShapeStyle, id: string, device: any) => import("@antv/g").Path | import("@antv/g").Line | import("@antv/g").Polygon | import("@antv/g").Rect | import("@antv/g").Circle | import("@antv/g").Ellipse | import("@antv/g").Text | import("@antv/g").Image | Mesh<any>;
export declare const upsertShape3D: (type: SHAPE_TYPE_3D | SHAPE_TYPE, id: string, style: GShapeStyle, shapeMap: {
    [shapeId: string]: DisplayObject<any, any>;
}, device: any) => DisplayObject;
/**
 * Update shapes in the intersaction of prevShapeMap and newShapeMap;
 * Remove shapes in the prevShapeMap - newShapeMap (if removeDiff is true);
 * Add shapes in the newShapeMap - prevShapeMap;
 * @param prevShapeMap previous shape map
 * @param newShapeMap new shape map
 * @param group container group
 * @returns merged shape map
 */
export declare const updateShapes3D: (prevShapeMap: {
    [id: string]: DisplayObject<any, any>;
}, newShapeMap: {
    [id: string]: DisplayObject<any, any>;
}, group: Group, removeDiff?: boolean, shouldUpdate?: (id: string) => boolean) => NodeShapeMap | EdgeShapeMap;
